Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : BQTerrace_1280x720_60_zerophase_0.9pi.yuv
 FrameRate0                    : 60          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,7 +15,8 @@
 InputFile1                    : BQTerrace_1920x1080_60.yuv
 FrameRate1                    : 60          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
-RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : BQTerrace_960x540_60_zerophase_0.9pi.yuv
 FrameRate0                    : 60          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 544         # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,10 +15,12 @@
 InputFile1                    : BQTerrace_1920x1080_60.yuv
 FrameRate1                    : 60          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
-RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
 NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
+ScaledRefLayerId1             : 0           # Scaled reference layer ID
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : BQTerrace_1920x1080_60.yuv
 FrameRate0                    : 60          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1088        # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,10 +15,12 @@
 InputFile1                    : BQTerrace_1920x1080_60.yuv
 FrameRate1                    : 60          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
-RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
 NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
+ScaledRefLayerId1             : 0           # Scaled reference layer ID
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : BasketballDrive_1280x720_50_zerophase_0.9pi.yuv
 FrameRate0                    : 50          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,7 +15,8 @@
 InputFile1                    : BasketballDrive_1920x1080_50.yuv
 FrameRate1                    : 50          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
-RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : BasketballDrive_960x540_50_zerophase_0.9pi.yuv
 FrameRate0                    : 50          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 544         # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,10 +15,12 @@
 InputFile1                    : BasketballDrive_1920x1080_50.yuv
 FrameRate1                    : 50          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
-RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
 NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
+ScaledRefLayerId1             : 0           # Scaled reference layer ID
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : BasketballDrive_1920x1080_50.yuv
 FrameRate0                    : 50          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1088        # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,10 +15,12 @@
 InputFile1                    : BasketballDrive_1920x1080_50.yuv
 FrameRate1                    : 50          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
-RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
 NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
+ScaledRefLayerId1             : 0           # Scaled reference layer ID
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : Cactus_1280x720_50_zerophase_0.9pi.yuv
 FrameRate0                    : 50          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,7 +15,8 @@
 InputFile1                    : Cactus_1920x1080_50.yuv
 FrameRate1                    : 50          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
-RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : Cactus_960x540_50_zerophase_0.9pi.yuv
 FrameRate0                    : 50          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 544         # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,10 +15,12 @@
 InputFile1                    : Cactus_1920x1080_50.yuv
 FrameRate1                    : 50          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
-RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
 NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
+ScaledRefLayerId1             : 0           # Scaled reference layer ID
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : Cactus_1920x1080_50.yuv
 FrameRate0                    : 50          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1088        # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,10 +15,12 @@
 InputFile1                    : Cactus_1920x1080_50.yuv
 FrameRate1                    : 50          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
-RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
 NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
+ScaledRefLayerId1             : 0           # Scaled reference layer ID
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : Kimono1_1280x720_24_zerophase_0.9pi.yuv
 FrameRate0                    : 24          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,7 +15,8 @@
 InputFile1                    : Kimono1_1920x1080_24.yuv
 FrameRate1                    : 24          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
-RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : Kimono1_960x540_24_zerophase_0.9pi.yuv
 FrameRate0                    : 24          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 544         # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,10 +15,12 @@
 InputFile1                    : Kimono1_1920x1080_24.yuv
 FrameRate1                    : 24          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
-RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
 NumScaledRefLayerOffsets1     : 1			      # Number of scaled entry offsets for this layer
+ScaledRefLayerId1             : 0           # Scaled reference layer ID
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : Kimono1_1920x1080_24.yuv
 FrameRate0                    : 24          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1088        # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,10 +15,12 @@
 InputFile1                    : Kimono1_1920x1080_24.yuv
 FrameRate1                    : 24          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
-RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
 NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
+ScaledRefLayerId1             : 0           # Scaled reference layer ID
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : ParkScene_1280x720_24_zerophase_0.9pi.yuv
 FrameRate0                    : 24          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 720         # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,7 +15,8 @@
 InputFile1                    : ParkScene_1920x1080_24.yuv
 FrameRate1                    : 24          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
-RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : ParkScene_960x540_24_zerophase_0.9pi.yuv
 FrameRate0                    : 24          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 960         # Input  frame width
 SourceHeight0                 : 544         # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,10 +15,12 @@
 InputFile1                    : ParkScene_1920x1080_24.yuv
 FrameRate1                    : 24          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
-RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
 NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
+ScaledRefLayerId1             : 0           # Scaled reference layer ID
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : ParkScene_1920x1080_24.yuv
 FrameRate0                    : 24          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 1920        # Input  frame width
 SourceHeight0                 : 1088        # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,10 +15,12 @@
 InputFile1                    : ParkScene_1920x1080_24.yuv
 FrameRate1                    : 24          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 1920        # Input  frame width
 SourceHeight1                 : 1080        # Input  frame height
-RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
 NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
+ScaledRefLayerId1             : 0           # Scaled reference layer ID
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : PeopleOnStreet_1280x800_30_crop_zerophase_0.9pi.yuv
 FrameRate0                    : 30          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 800         # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,7 +15,8 @@
 InputFile1                    : PeopleOnStreet_2560x1600_30_crop.yuv
 FrameRate1                    : 30          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
-RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : PeopleOnStreet_2560x1600_30_crop.yuv
 FrameRate0                    : 30          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 2560        # Input  frame width
 SourceHeight0                 : 1600        # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,7 +15,8 @@
 InputFile1                    : PeopleOnStreet_2560x1600_30_crop.yuv
 FrameRate1                    : 30          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
-RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : Traffic_1280x800_30_crop_zerophase_0.9pi.yuv
 FrameRate0                    : 30          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 1280        # Input  frame width
 SourceHeight0                 : 800         # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,7 +15,8 @@
 InputFile1                    : Traffic_2560x1600_30_crop.yuv
 FrameRate1                    : 30          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
-RepFormatIdx1				  : 1 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 1           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
Index: branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg
===================================================================
--- branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg	(revision 533)
+++ branches/SHM-4.1-dev/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg	(revision 534)
@@ -1,3 +1,2 @@
-InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
@@ -6,7 +5,8 @@
 InputFile0                    : Traffic_2560x1600_30_crop.yuv
 FrameRate0                    : 30          # Frame Rate per second
+InputBitDepth0                : 8           # Input bitdepth for layer 0
 SourceWidth0                  : 2560        # Input  frame width
 SourceHeight0                 : 1600        # Input  frame height
-RepFormatIdx0				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx0                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode0              : 1           # conformance mode
@@ -15,7 +15,8 @@
 InputFile1                    : Traffic_2560x1600_30_crop.yuv
 FrameRate1                    : 30          # Frame Rate per second
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 SourceWidth1                  : 2560        # Input  frame width
 SourceHeight1                 : 1600        # Input  frame height
-RepFormatIdx1				  : 0 			# Index of corresponding rep_format() in the VPS
+RepFormatIdx1                 : 0           # Index of corresponding rep_format() in the VPS
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
